using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("参数设置表")]
    public partial class T_FM_PARAM_SET : MesEntityBase
    {
        [Description("名称")]
        [DataFieldLength(50)]  //文本长度
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 人员
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航：发起人 
        /// </summary>
        [Description("人员")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
